<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA - 
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="strncmp">
  <info>
    <pubdate>$LastChangedDate: 2006-08-08 16:57:13 +0200 (Tue, 08 Aug 2006) $</pubdate>
  </info>
  <refnamediv>
    <refname>strncpy</refname>
    <refpurpose> Copy characters from strings</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>res = strncpy(str1,num)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>str1</term>
        <listitem>
          <para>A character string or matrix of character strings</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>num</term>
        <listitem>
          <para>matrix Maximum number of characters to be copied from source</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>res</term>
        <listitem>
          <para>A character string or matrix of character strings</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>res = strncpy(str1,num)</literal> Copies the first num characters of source to destination.</para>
    <para> num must have same dimensions than str1 or str2 must be a number. </para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
strncpy('scilab',3)
strncpy(['scilab','SciLab';'strncpy','strstr'],3)
strncpy(['scilab','SciLab';'strncpy','strstr'],[1,2;3,4])
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="strcat">strcat</link>
      </member>
      <member>
        <link linkend="strcmp">strcmp</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
